#!/bin/bash

TITLE="Linkat Cloud Print"

zenity --width="300" --question --title=$TITLE --text="Voleu configurar el servei d'impressió al núvol de Google?" > /dev/null 2>&1
if [ $? -gt 0 ]; then
	exit 1
else
	if [ -f /usr/share/linkat/linkat-cloudprint/gcp-cups-connector.config.json ]; then
		zenity --width="250" --question --title=$TITLE --text="El servei d'impressió de Google ja es troba configurat.\nVoleu modificar la configuració?" > /dev/null 2>&1
		if [ $? -gt 0 ]; then
        		exit 1
		else 
			rm /usr/share/linkat/linkat-cloudprint/gcp-cups-connector.config.json
		fi
	fi

	zenity --width="400" --info --title=$TITLE --text="Tot seguit s'obrirà una terminal on haureu de contestar diferents preguntes de forma afirmativa (amb la lletra <b>Y</b>) les preguntes que aniran apareixent:\nEnable local printing? <b>Y</b>\nEnable cloud printing? <b>Y</b>\n\nEs generarà un codi que s'haurà de copiar i enganxar a l'adreça seguent:\n<b>https://www.google.com/device</b>\n\nUn cop s'hagi finalitzat el procés haureu de tornar al terminal i afegir l'adreça de correu que s'ha fet servir." > /dev/null 2>&1
       cd /usr/share/linkat/linkat-cloudprint/ && sudo gcp-connector-util init
        while : ; do
                [[ -f "/usr/share/linkat/linkat-cloudprint/gcp-cups-connector.config.json" ]] && break
                sleep 5
        done
	zenity --width="300" --info --title=$TITLE --text="El servei d'impressió al núvol s'executarà automàticament." > /dev/null 2>&1
	chown lnadmin:root /usr/share/linkat/linkat-cloudprint/gcp-cups-connector.config.json
	service cloud-print-connector restart
fi
